package com.bcxin.ars.dto.report;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业年报数据统计
 * <b>Function </b>
 * 
 * @author ZhangJianHua
 * @date 2017年11月21日16:43:14
 * @注意事项 </b>
 * <b>
 */
public class YearReportDto implements Serializable {
	/**
	 * 公司id
	 */
	private Long companyId;

	/**
	 * 公司用户id
	 */
	private Long userId;

	/**
	 * 年报备案id
	 */
	private Long yearReportId;

	/**
	 * 公司名称
	 */
	private String companyName;

	/**
     * 备案年份

	 */
	private  String filingYear;

	/**
	 * 是否初始化
	 */
	private String init;

	/**
	 * 总人数
	 */
	private Long personCount;

	/**
	 * 参保人数
	 */
	private Long policyCount;

	/**
	 *  未参保人数
	 */
	private Long unPolicyCount;
	
	/**
	 * 许可备案总数
	 */
	private Long approvalCount;

	/**
	 * 任务总数
	 */
	private Long taskTotal;

	/**
	 * 周期任务总数
	 */
	private Long cycleCount;

	/**
	 * 临时任务总数
	 */
	private Long temporaryCount;

	/**
	 * 许可证号
	 */
	private String public_security_license_number;

	/**
	 * 提交时间
	 */
	private Date create_time;
	
	/**
	 * 审批状态
	 * 001未提交002待审核003审批通过004审批不通过005审批中
	 */
    private String approvalstate;

	/**
	 * 审批意见
	 */
    private String approvalreason;

	/**
	 * 备案是否盖章确认
	 */
	private String filingIsStamped;
	
	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getFilingYear() {
		return filingYear;
	}

	public void setFilingYear(String filingYear) {
		this.filingYear = filingYear;
	}

	public String getInit() {
		return init;
	}

	public void setInit(String init) {
		this.init = init;
	}

	public Long getPersonCount() {
		return personCount;
	}

	public void setPersonCount(Long personCount) {
		this.personCount = personCount;
	}

	public Long getPolicyCount() {
		return policyCount;
	}

	public void setPolicyCount(Long policyCount) {
		this.policyCount = policyCount;
	}

	public Long getUnPolicyCount() {
		return unPolicyCount;
	}

	public void setUnPolicyCount(Long unPolicyCount) {
		this.unPolicyCount = unPolicyCount;
	}

	public Long getApprovalCount() {
		return approvalCount;
	}

	public void setApprovalCount(Long approvalCount) {
		this.approvalCount = approvalCount;
	}

	public Long getTaskTotal() {
		return taskTotal;
	}

	public void setTaskTotal(Long taskTotal) {
		this.taskTotal = taskTotal;
	}

	public Long getCycleCount() {
		return cycleCount;
	}

	public void setCycleCount(Long cycleCount) {
		this.cycleCount = cycleCount;
	}

	public Long getTemporaryCount() {
		return temporaryCount;
	}

	public void setTemporaryCount(Long temporaryCount) {
		this.temporaryCount = temporaryCount;
	}

	public Long getYearReportId() {
		return yearReportId;
	}

	public void setYearReportId(Long yearReportId) {
		this.yearReportId = yearReportId;
	}

	public String getPublic_security_license_number() {
		return public_security_license_number;
	}

	public void setPublic_security_license_number(String public_security_license_number) {
		this.public_security_license_number = public_security_license_number;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getApprovalstate() {
		return approvalstate;
	}

	public void setApprovalstate(String approvalstate) {
		this.approvalstate = approvalstate;
	}

	public String getApprovalreason() {
		return approvalreason;
	}

	public void setApprovalreason(String approvalreason) {
		this.approvalreason = approvalreason;
	}

	public String getFilingIsStamped() {
		return filingIsStamped;
	}

	public void setFilingIsStamped(String filingIsStamped) {
		this.filingIsStamped = filingIsStamped;
	}
	
	
}
